%global modname aiofiles

Name:           python-%{modname}
Version:        0.3.2
Release:        4%{?dist}
Summary:        File support for asyncio

License:        ASL 2.0
URL:            https://github.com/Tinche/aiofiles
Source0:        %{url}/archive/v%{version}/%{modname}-%{version}.tar.gz
# Python 3.7 support, https://github.com/Tinche/aiofiles/pull/43
Patch0001:      0001-Update-classifiers-through-Python-3.6.patch
Patch0002:      0002-Update-README.rst.patch
Patch0003:      0003-add-py37-to-test-environments-fixes-42.patch
Patch0004:      0004-drop-3.3-support.patch
Patch0005:      0005-replace-deprecated-async-fuction-with-ensure_future.patch
Patch0006:      0006-can-t-support-but-py3.4-and-py3.7.patch
Patch0007:      0007-decorate-tests-with-asyncio.coroutine.patch
Patch0008:      0008-simplify-code-by-remove-pre-3.5-compat-checks.patch
Patch0009:      0009-add-__anext__-to-context-manager.patch
Patch0010:      0010-Starting-with-Python-3.7-__aiter__-must-return-an-as.patch
Patch0011:      0011-remove-py3.3-p3.4-syntax-and-limitations-from-README.patch

BuildArch:      noarch

%global _description \
aiofiles is an Apache2 licensed library, written in Python, for handling\
local disk files in asyncio applications.

%description %{_description}

%package -n python3-%{modname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{modname}}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-asyncio

%description -n python3-%{modname} %{_description}

%prep
%autosetup -n %{modname}-%{version} -p1

%build
%py3_build

%install
%py3_install

%check
PYTHONPATH=%{buildroot}%{python3_sitelib} py.test-%{python3_version} -v

%files -n python3-%{modname}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{modname}-*.egg-info/
%{python3_sitelib}/%{modname}/

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.3.2-3
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Nov 01 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.2-1
- Update to 0.3.2

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sun Jul 23 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.1-1
- Update to 0.3.1

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sun Jan 01 2017 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.3.0-1
- Initial package
